# Detail_vars.pm -- all variables shared by details.cgi and Pattern.pm.
#
# Copyright (C) 2001-2003, John Kodis <john@kodis.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package Detail_vars;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw( $loc $unit $call $band $corf $khz $chan 
	      $lat $lon $band_corf $city $state 
	      $rms $pat_min $pat_max $erp );

use strict;

# location and units of measure, from the http-referer environment variable.
my $loc;
my $unit;

# short names for data emitted by the station-info program.
my $call;
my $band;
my $corf;
my $khz;
my $chan;
my $lat;
my $lon;
my $band_corf;
my $city;
my $state;
my $rms;
my $pat_min;
my $pat_max;
my $erp = 1.0; # FIX THIS -- use a real value.

1;
